code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env sh
ansible_repo="http://github.com/ansible/ansible.git"
ansible_branch="stable-1.9"
ansible_localdir="/home/vagrant/ansible_stable19"
curdir=$(pwd)
# Install Ansible (git clone)
git clone ${ansible_repo} -b ${ansible_branch} ${ansible_localdir}
# Install Ansible modules
cd ${ansible_localdir}
git sub... | bdastur/vagrant_sandboxes | ansibleplay/tools/install_ansible.sh | Shell | apache-2.0 | 549 |
stop-all.sh
start-all.sh
slaves.sh jps
jps
| jayantgolhar/Hadoop-0.21.0 | hadoop-start-stop-check.sh | Shell | apache-2.0 | 43 |
#
# Configuration file for using the XML library in GNOME applications
#
XML2_LIBDIR="-L/home/build/inst/lib"
XML2_LIBS="-lxml2 -lz -liconv "
XML2_INCLUDEDIR="-I/home/build/inst/include/libxml2"
MODULE_VERSION="xml2-2.9.4"
| digital-flowers/sharp-win32 | lib/xml2Conf.sh | Shell | apache-2.0 | 229 |
#!/bin/sh
# Get dictionaries from http://wordlist.aspell.net/dicts/
# Get en_us_wordlist.xml from https://github.com/mozilla-b2g/gaia/raw/master/apps/keyboard/js/imes/latin/dictionaries/en_us_wordlist.xml
./unmunch en_AU.dic en_AU.aff > en_AU1.txt
cat en_AU1.txt spelling_merged.txt | java -cp languagetool.jar:language... | EMResearch/EMB | jdk_8_maven/cs/rest/original/languagetool/languagetool-language-modules/en/src/main/resources/org/languagetool/resource/en/hunspell/make_en_au_dict.sh | Shell | apache-2.0 | 562 |
#!/bin/bash -eux
function is_ok {
local url="$1"
local status=`curl $url -L -s -o /dev/null -w "%{http_code}"`
local retry=0
while [[ "$status" -ne 200 && "$retry" -lt 3 ]]; do
sleep 15
((retry++))
status=`curl $url -L -s -o /dev/null -w "%{http_code}"`
done
if [[ "$status" -ne 200 ]]; then
return 1
el... | bigfix/boxes | bigfix/redhat/6/yum.sh | Shell | apache-2.0 | 525 |
#!/bin/sh
# Copyright 2012 Anton Beloglazov
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed... | beloglazov/openstack-centos-kvm-glusterfs | 10-openstack-controller/02-boot-cirros.sh | Shell | apache-2.0 | 701 |
#!/bin/bash +x
# Copyright 2017-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applic... | opencord/voltha | tests/atests/common/run_robot.sh | Shell | apache-2.0 | 1,166 |
#!/bin/sh
sudo apt update -y
sudo apt install curl gnupg -y
## Install RabbitMQ signing key
curl -fsSL https://github.com/rabbitmq/signing-keys/releases/download/2.0/rabbitmq-release-signing-key.asc | sudo apt-key add -
## Install apt HTTPS transport
sudo apt-get install apt-transport-https
## Add Bintray repositor... | Depicus/scripts | rabbitmq.sh | Shell | apache-2.0 | 1,055 |
#ʾÀý½Å±¾14-13.sh while½á¹¹ÔÚgawkÖеÄʹÓÃ
#! /bin/bash
echo while½á¹¹ÔÚgawkÖеÄʹÓÃ
gawk '{i=1; sum=0;while(i <= NF) {i++; print $2}}' data2.txt
| zhaochl/bash-utils | learn_basic/14章 gawk/14-13.sh | Shell | apache-2.0 | 152 |
#!/usr/bin/env bash
# Copyright (c) 2014, Cloudera, Inc. All Rights Reserved.
#
# Cloudera, Inc. licenses this file to you under the Apache License,
# Version 2.0 (the "License"). You may not use this file except in
# compliance with the License. You may obtain a copy of the License at
#
# http://www.apache.org/li... | oncewang/oryx2 | deploy/bin/oryx-run.sh | Shell | apache-2.0 | 13,904 |
#!/bin/bash
ver='1.4-RC'
pkg="Mycat-server-${ver}-openep.tar.gz"
[ -f "../cache/${pkg}" ] && pkg="../cache/${pkg}" || wget https://raw.githubusercontent.com/MyCATApache/Mycat-download/master/${ver}/${pkg}
tar zxf ${pkg} -C /opt
cp run.sh /opt/mycat/bin
sed -i 's/wrapper.java.initmemory=2048/wrapper.java.initmemory=... | sdgdsffdsfff/Mycat-openEP | docker/modules/mycat/install.sh | Shell | apache-2.0 | 550 |
#!/bin/bash
rm -rf httpd-2.2.29
if [ ! -f httpd-2.2.29.tar.gz ];then
wget http://zy-res.oss-cn-hangzhou.aliyuncs.com/httpd/httpd-2.2.29.tar.gz
fi
tar zxvf httpd-2.2.29.tar.gz
cd httpd-2.2.29
./configure --prefix=/alidata/server/httpd \
--with-mpm=prefork \
--enable-so \
--enable-rewrite \
--enable-mods-shared=all \
-... | HollenMok/pandoraf_v1.0 | docs/linuxServer/linux_setup_1.4.3/sh-1.4.3/apache/install_httpd-2.2.29.sh | Shell | apache-2.0 | 3,457 |
#!/bin/sh
./node_modules/.bin/jsdoc -r calligraphy canvasplayground ui -d jsdoc | aliok/calligraphy-playground | jsdoc.sh | Shell | apache-2.0 | 80 |
#! /bin/bash
echo "This script is deprecated"
exit 0
display_title() {
echo "Error on ==> Build Container <=="
}
display_usage() {
echo "give :"
echo " 1- a service to compile name"
echo " 2- a Major version"
echo " 3- a Minor version"
echo " 4- a Patch version"
echo " 5- a Port"
echo " "
echo " You need ... | tdeheurles/gcloudAutomation | .deprecated_buildContainer.sh | Shell | apache-2.0 | 751 |
#!/bin/bash
# use conneg to request N-Quads as the preferred format
curl -f -s \
-H "Accept: application/n-quads; q=1.0, application/rdf+xml; q=0.9" \
"${BASE_URL}default-subject" \
| rapper -q --input nquads --output nquads /dev/stdin - \
| tr -s '\n' '\t' \
| grep '"default object"' \
| grep "${BASE_URL}default... | Graphity/graphity-processor | http-tests/linked-data-templates/ct/GET-nquads.sh | Shell | apache-2.0 | 340 |
#!/usr/bin/env bash
ipNC="54.67.55.30"
ipOR="35.160.99.161"
ipNV="54.164.205.107"
rsync -avz -e "ssh -o StrictHostKeyChecking=no -i llcproto.pem" "./../../../../Legion v2/." ubuntu@${ipOR}:~/legion
sleep .45
rsync -avz -e "ssh -o StrictHostKeyChecking=no -i llcproto.pem" "./../../../../Legion v2/." ubuntu@${ipNV}:~/l... | albertlinde/Legion | applications/gdrive_tests/scripts/rsync.sh | Shell | apache-2.0 | 695 |
#ʵÀý½Å±¾14-4.sh ¸ü¸Ä·Ö¸ô·û
#! /bin/bash
echo Ö¸¶¨·Ö¸ô·ûΪ×Ö·ûa
echo this is a gawk program
gawk -Fa '{print $1}' 14-4.sh
echo
echo Ö¸¶¨·Ö¸ô·ûΪ×Ö·ûc
gawk -Fc '{print $1}' 14-4.sh
| zhaochl/bash-utils | learn_basic/14章 gawk/14-4.sh | Shell | apache-2.0 | 197 |
#!/bin/bash
cd /opt/kafka_2.11-0.10.1.0 && \
(echo "new_msg" | bin/kafka-console-producer.sh --broker-list localhost:9092 --topic test)
| stefansavev/spark-kafka-example | scripts/send_data.sh | Shell | apache-2.0 | 139 |
#!/bin/bash
echo "Provisioning virtual machine..."
apt-get -qqy update
apt-get -qqy install python-pip
####### don't need this
#su postgres -c 'createuser -dRS vagrant'
#su vagrant -c 'createdb'
#su vagrant -c 'createdb forum'
#su vagrant -c 'psql forum -f /vagrant/forum/forum.sql'
vagrantTip="[35m[1mThe shared dir... | kksamy-ssic/artik-lab | vm_config.sh | Shell | apache-2.0 | 1,338 |
#!/bin/bash
BASEOPTION="--src=randomize2 --queue-sizing=1.2 --iteration-num=16"
BASEFLAG=""
EXECUTION="./bin/test_sssp_10.0_x86_64"
DATADIR="/data/gunrock_dataset/large"
OPTION[0]="" && FLAG[0]=".default"
OPTION[1]=" --undirected" && FLAG[1]=".undir"
OPTION[4]="" && FLAG[4]=".skip_pred"
OPTION[5]=" --mark-pred" && F... | gunrock/gunrock | examples/sssp/run_real.sh | Shell | apache-2.0 | 2,178 |
#!/bin/bash
check_usage() {
if [ $# -lt 1 ]
then
echo "Usage:"
echo "$0 <app_id>"
exit 1
fi
}
check_usage $*
BASE_DIR=$(dirname $0)
source $BASE_DIR/setenv.sh
URL=http://${YARN_RM_SERVER}:${YARN_RM_PORT}/ws/v1/cluster/apps/${1}
#echo curl -X GET $URL
curl -X GET $URL | python -mjson.tool
| zhuwbigdata/hadoop-admin-utils | yarn-utils/rm-api/getAppById.sh | Shell | apache-2.0 | 312 |
#!/bin/bash
# File: condor_cancel.sh
#
# Author: Matt Farrellee (Condor) - received on March 28, 2007
#
#
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright
# holders.
#
# Licensed under the Apache License, Version 2.0 (the "License"... | htcondor/htcondor | src/blahp/src/scripts/condor_cancel.sh | Shell | apache-2.0 | 1,534 |
#!/bin/bash
#
# Copyright (C) 2014 by John P. Weiss
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the Artistic License, included as the file
# "LICENSE" in the source code archive.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WA... | jpweiss/mirrored.from.sf | tp-x40-tools/sh.scripts/laptop/acpi/jpw.actions/fakekey.sh | Shell | artistic-2.0 | 3,940 |
# Script for use on a virtual machine that is not launched via vagrant...
# still not quite working...
sudo apt-get install git
git clone git://github.com/mtholder/ot-vagrant.git
cd ot-vagrant/
git pull origin
cat >web2py_passwords.sh <<ENDOFHEREDOC
#!/bin/sh
export WEB2PY_DB_USER=w2puser
export WEB2PY_DB_PASSWD=1a2b... | mtholder/ot-vagrant | example.sh | Shell | bsd-2-clause | 1,028 |
#!/bin/bash
mkdir build
cd build
cmake .. -G"Unix Makefiles" \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=$PREFIX
make
make install
| menpo/conda-eigen | conda/build.sh | Shell | bsd-2-clause | 143 |
#!/usr/bin/env bash
function mason_build {
${MASON_DIR}/mason install llvm ${MASON_VERSION}
CLANG_PREFIX=$(${MASON_DIR}/mason prefix llvm ${MASON_VERSION})
# copy bin
mkdir -p "${MASON_PREFIX}/bin"
cp "${CLANG_PREFIX}/bin/${MASON_NAME}" "${MASON_PREFIX}/bin/"
# copy include/c++
mkdir -p "... | hydrays/osrm-backend | third_party/mason/scripts/clang-tidy/base/common.sh | Shell | bsd-2-clause | 778 |
#!/bin/bash
ack "\t$1$" data/wiki.id.from.to.txt -i
| StackResys/Stack-Resys | src/wiki_synonyms/search.sh | Shell | bsd-3-clause | 52 |
#!/bin/bash
# Copyright (c) 2014 The Native Client Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
NACLPORTS_CPPFLAGS+=" -I${NACLPORTS_INCLUDE}/pixman-1"
NACLPORTS_CPPFLAGS+=" -DFASYNC=O_NONBLOCK -DFNDELAY=O_NONBLOCK"
EXECUTABLES=hw/k... | kuscsik/naclports | ports/xorg-server/build.sh | Shell | bsd-3-clause | 2,513 |
#!/bin/sh
#
# $FreeBSD: ports/www/mozilla/files/mozilla.sh,v 1.2 2000/08/03 14:39:06 sobomax Exp $
cd @PREFIX@/lib/mozilla
exec ./mozilla $*
| MarginC/kame | freebsd3/ports/mozilla/files/mozilla.sh | Shell | bsd-3-clause | 142 |
#!/bin/sh
/bin/cat /var/run/uwsgi/mk_mk_ua.10001.pid | /usr/bin/xargs /bin/kill -9 | AlexStarov/site_news | aaa/stop.sh | Shell | bsd-3-clause | 83 |
#!/bin/bash
DATABASE_NAME="test_pari"
DATABASE_USER="pari"
DATABASE_PASSWORD="pari"
echo "Setting up DB"
sudo -u postgres sh -s <<SCRIPT
dropdb $DATABASE_NAME
createdb $DATABASE_NAME --owner $DATABASE_USER
psql -d $DATABASE_NAME -c "CREATE EXTENSION postgis;"
SCRIPT
mkdir -p "media/uploads/"
cp "core/static/img/stor... | PARINetwork/pari | scripts/functional_test.sh | Shell | bsd-3-clause | 1,297 |
#!/bin/bash
python ../text-train.py -f -A train_feats1 -A train_feats2 train_file
python ../text-predict.py -f -A test_feats1 -A test_feats2 test_file train_file.model predict_result
python demo.py
| izimobile/libshorttext | demo/demo.sh | Shell | bsd-3-clause | 199 |
#!/bin/bash
## libuc
cd libuc
make clean
./autogen.sh
./configure --prefix=/opt/libuc
make
sudo make install
export PKG_CONFIG_PATH=/opt/libuc/lib/pkgconfig
## libuvideo
cd ../
cd libuvideo
./autogen.sh
./configure --prefix=/opt/libuc
make
sudo make install
## libtpm
cd ../
cd libtpm
./autogen.sh
./configure --pref... | AMOSSYS/OpenDTeX-Secure-Boot-DRTM | compile.sh | Shell | bsd-3-clause | 533 |
#!/bin/bash
current_branch=$(git branch --no-color 2> /dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/\1/')
if [ "$current_branch" != "master" ]; then
echo "WARNING: You are on branch $current_branch, NOT master."
fi
echo -e "Fetching merged branches...\n"
git remote update --prune
remote_branches=$(git branch -r --me... | daukantas/factlink-core | bin/prune_remote_merged_branches.sh | Shell | mit | 1,349 |
#!/bin/sh
xrandr --output DVI-D-1-1 --off --output VIRTUAL1 --off --output DP1 --off --output HDMI1 --off --output eDP-1-1 --off --output LVDS1 --mode 1920x1080 --pos 0x0 --rotate normal --output VGA1 --off
| bumbashock/dotfiles | screenlayout/.screenlayout/single_screen.sh | Shell | mit | 207 |
#!/bin/bash
echo [1m[32mSetting environment variables...[39m[22m
echo [1m[35mexport[39m[22m RETIS_LANGUAGE
export RETIS_LANGUAGE="nodejs"
echo [1m[35mexport[39m[22m RETIS_OS
export RETIS_OS="Linux"
echo [1m[35mexport[39m[22m RETIS_PROJECT_NAME
export RETIS_PROJECT_NAME="retis-example"
echo [1m[35mexpo... | Gum-Joe/retis | example/build/build.sh | Shell | mit | 2,305 |
#!/bin/bash
if [ ! -e "history.mat" ]; then
echo history.mat is not here, make sure you copy it from simulation/
exit
fi
# make sure the plots folder exists
if [ ! -d "plots" ]; then
echo Directory \"plots\" not found, making it
mkdir plots
mkdir plots/end
mkdir plots/time
fi
matlab -nosplash... | karoraw1/Mystic | analysis/pipeline.sh | Shell | mit | 354 |
#!/bin/bash
FN="worm.db0_3.11.2.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/annotation/src/contrib/worm.db0_3.11.2.tar.gz"
"https://bioarchive.galaxyproject.org/worm.db0_3.11.2.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-worm.db0/bioconductor-worm.db0_3.11.2_src_all.tar.gz"
)
MD... | roryk/recipes | recipes/bioconductor-worm.db0/post-link.sh | Shell | mit | 1,292 |
#!/bin/sh
go get github.com/blockfreight/go-bftx
cd $GOPATH/src/github.com/blockfreight/go-bftx
dep ensure
cd $GOPATH/src/github.com/blockfreight/go-bftx/cmd/bftx
go install -v
bftx node start | blockfreight/blockfreight-alpha | cmd/bftx/install_bftx.sh | Shell | mit | 195 |
source "$THIS_DIR/bin/public/find-build-files/_.sh"
# === {{CMD}} [dom|base|etc.] "my text"
# === Used to prepend text to all files in a directory: dom, base, etc.
prepend-to () {
local +x IFS=$'\n'
local +x DIR="$1"; shift
local +x text="$@"
if [[ -z "$text" ]]; then
echo '!!! Text is missing.' 1>&2
... | da99/dum_dum_boom_boom | bin/public/prepend-to/_.sh | Shell | mit | 574 |
#!/usr/bin/env sh
device="ELAN1300:00 04F3:3057 Touchpad"
state=`xinput list-props "$device" | grep "Device Enabled" | awk '{print $4}'`
if [ $state -eq 1 ]
then
notify-send -t 1 "touchpad off"
xinput --disable "$device"
else
notify-send -t 1 "touchpad on"
xinput --enable "$device"
fi
| mikaperlin/scripts-configs-etc | scripts/touchpad-toggle.sh | Shell | mit | 296 |
#!/bin/bash
set -o nounset # Fail when variable is used, but not initialized
set -o errexit # Fail on unhandled error exits
set -o pipefail # Fail when part of piped execution fails
pushd "$(dirname "$0")/../" > /dev/null
ALEXASRC_DIRECTORY=$(pwd -P)
popd > /dev/null
SCRIPT_DIRECTORY=$ALEXASRC_DIRECTORY/scripts
ALEX... | renekliment/AlexaPi | src/scripts/setup.sh | Shell | mit | 7,003 |
#!/bin/bash
set -euo pipefail
IFS=$'\n\t'
currentBranch=$(git branch | grep -e "^*" | cut -d' ' -f 2)
if [ "$currentBranch" != "master" ]; then
echo "Tags for containers can only be made from 'master' branch"
exit 0
fi
# Extract latest git tag
currentVersion=$(git tag -l --sort=-v:refname | grep -E '^v[0-9]+$' ... | mpfeil/OpenSenseMap-API | .scripts/npm_tag-container.sh | Shell | mit | 600 |
#!/usr/bin/env bash
set -Eeuxo pipefail # https://vaneyckt.io/posts/safer_bash_scripts_with_set_euxo_pipefail/
cd -P -- "$(dirname -- "${BASH_SOURCE[0]}")" # https://stackoverflow.com/a/17744637
docker-compose -p sequelize-mariadb-103 down --remove-orphans
echo "Local MariaDB-10.3 instance stopped (if it was running... | sequelize/sequelize | dev/mariadb/10.3/stop.sh | Shell | mit | 324 |
function create.ebs {
# mac
ec2-create-volume --region sa-east-1 -z sa-east-1a -s 30
ec2-describe-volumes --region sa-east-1 vol-c893899a
ec2-attach-volume --region sa-east-1 -d /dev/xvdg -i i-f6bcb1e3 vol-c893899a
}
function _attach.volume () {
DEVICE_LETTER=$1
INSTANCE_ID=$2
VOLUME_ID=$3
#ec2-describ... | escribano/hegel-old | lib/ebs.sh | Shell | mit | 3,809 |
#!/bin/bash
export MYDIR=`dirname $0`/..
. $MYDIR/setup.sh
export ROOT=$MYDIR/../..
distDir=$CHINF"/dist"
export CLASSPATH=$ROOT/generic-type-inference-solver/bin:.
$ROOT/checker-framework-inference/scripts/inference-dev checkers.inference.InferenceLauncher --checker dataflow.DataflowChecker --solver checkers.infere... | Jianchu/LogiqlSolver | scripts/dataflow/inference-debug.sh | Shell | gpl-2.0 | 371 |
#!/usr/bin/env bash
ros_master="apex-controller.local"
hostname=`hostname`
platform_name=`echo $hostname | cut -d '-' -f 1`
platform_id=`echo $hostname | cut -d '-' -f 2`
platform_type=`echo $hostname | cut -d '-' -f 3`
ns=$platform_name"_"$platform_id
# Cleanup journal files flooding the card
sudo rm -f /var/log/da... | ymollard/apex_playground | scripts/raspberrypi/autostart.bash | Shell | gpl-3.0 | 1,250 |
#!/bin/bash
#print a shell command before its execution
set -ex
#install ntop
sudo wget http://apt-stable.ntop.org/16.04/all/apt-ntop-stable.deb
sudo dpkg -i apt-ntop-stable.deb
rm apt-ntop-stable.deb
sudo apt-get clean all
sudo apt-get update
sudo apt-get install -y pfring pfring-dkms nprobe ntopng ntopng-data n2dis... | prasadtalasila/BITS-Darshini | scripts/tool-install.sh | Shell | gpl-3.0 | 1,991 |
#!/bin/bash
#
# Perform hardening operations for CentOS distributions
#####################
# Author : Emir Ozer
# Creation Date: 9 Jan 2015
#####################
echo -n "I do not claim any responsibility for your use of this script."
sys_upgrades() {
yum -y update
yum -y upgrade
yum -y autoremove
}
unat... | emirozer/nixarmor | centos_harden.sh | Shell | gpl-3.0 | 3,262 |
#!/bin/bash
# SPDX-License-Identifier: GPL-3.0-or-later AND MIT
# Copyright (c) 2017-2021 Maxim Biro <nurupo.contributions@gmail.com>
# Copyright (c) 2021 by The qTox Project Contributors
set -euo pipefail
usage()
{
echo "Download and build opus for the windows cross compiling environment"
echo "Usag... | qTox/qTox | buildscripts/build_opus_windows.sh | Shell | gpl-3.0 | 1,136 |
#!/bin/sh
cd `git rev-parse --show-toplevel`
docker image build --tag hledger --target dev .
| adept/hledger | docker/build-dev.sh | Shell | gpl-3.0 | 93 |
#!/bin/bash
set -o errexit
set -o pipefail
set -o nounset
readonly CWD="$(pwd)"
readonly TESTS_DIR="tests"
function git_clone() {
local git_url="$1"
git clone --quiet --depth 1 "$git_url"
}
function git_named_clone() {
local git_url="$1"
local dir="$2"
git clone --quiet --depth 1 "$git_url" "$dir... | lukasmartinelli/hadolint | integration_test.sh | Shell | gpl-3.0 | 5,574 |
#!/bin/bash
set -e
set +h
. /etc/alps/alps.conf
. /var/lib/alps/functions
#REQ:cmake
#REQ:cups
#REQ:wayland
#REQ:pulseaudio
cd $SOURCE_DIR
if [ ! -f FreeRDP.zip ]
then
wget -nc https://github.com/FreeRDP/FreeRDP/archive/master.zip -O FreeRDP.zip
fi
unzip FreeRDP.zip
DIRECTORY=FreeRDP-master
cd $DIRECTORY
cmake... | FluidIdeas/parsers | blfs-resources/extrascripts/free-rdp.sh | Shell | lgpl-2.1 | 770 |
source common.sh
# Only test if we found brotli libraries
# (CLI tool is likely unavailable if libraries are missing)
if [ -n "$HAVE_BROTLI" ]; then
clearStore
clearCache
cacheURI="file://$cacheDir?compression=br"
outPath=$(nix-build dependencies.nix --no-out-link)
nix copy --to $cacheURI $outPath
HASH=$(nix has... | dezgeg/nix | tests/brotli.sh | Shell | lgpl-2.1 | 490 |
#!/usr/bin/env bash
#
# The following snippet can be used to WARN about a missing signed-off-by line
# in commits when pushing
#
# Aborting the push is possible
#
remote="$1"
url="$2"
z40=0000000000000000000000000000000000000000
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
... | matthiasbeyer/imag | scripts/hooks/pre-push.signoffby-missing-warn.sh | Shell | lgpl-2.1 | 1,384 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=MinGW-Windows
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=dll
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/project2
OU... | angrymasteryoda/cis-17c | projects/Project2/nbproject/Package-Debug.bash | Shell | lgpl-3.0 | 1,458 |
!/bin/bash
set -e
set -x
date_v=$(date '+%Y-%m-%d')
n="base-build"
docker pull gentoo/portage:latest
docker pull gentoo/stage3:amd64-nomultilib-systemd
docker build -t vrusinov/$n:latest -t vrusinov/$n:$date_v .
docker run --rm -it vrusinov/$n:latest
docker push vrusinov/$n:latest
docker push vrusinov/$n:$date_v
| google/copr-sundry | docker/base-build/build.sh | Shell | apache-2.0 | 318 |
#!/bin/bash
echo "clear_env = no" >> /etc/php-fpm.conf;
echo "security.limit_extensions = .php .php3 .php4 .php5 .php7" >> /etc/php-fpm.conf;
## - Main conf
sed -i 's|; Jelastic autoconfiguration mark||g' /etc/php-fpm.conf;
sed -i 's|pm = dynamic|pm = ondemand|g' /etc/php-fpm.conf;
sed -i 's|pm.max_children = 50|pm.... | jelastic-jps/magento | magento21-php7-varnish-memcache-storage/scripts/setupCP.sh | Shell | apache-2.0 | 3,409 |
#!/bin/bash
set -e
case "$1" in
java8)
echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u282b08.tar.gz"
;;
java11)
echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.10%2B9/OpenJDK11U-jdk_x64_linux_hotspot_... | philwebb/spring-boot | ci/images/get-jdk-url.sh | Shell | apache-2.0 | 541 |
#!/bin/bash
set -e
make
.build/debug/swift-lint $@
| ryuichis/swift-lint | run.sh | Shell | apache-2.0 | 53 |
#!/usr/bin/env bash
set -Eeuo pipefail
declare -A alpineVersion=(
[20.10]='3.15'
)
# bashbrew arch to docker-release-arch
declare -A dockerArches=(
['amd64']='x86_64'
['arm32v6']='armel'
['arm32v7']='armhf'
['arm64v8']='aarch64'
['ppc64le']='ppc64le'
['s390x']='s390x'
['windows-amd64']='x86_64'
)
cd "$(dirna... | docker-library/docker | versions.sh | Shell | apache-2.0 | 5,057 |
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use ... | elodina/scala-kafka | vagrant/init.sh | Shell | apache-2.0 | 1,539 |
#!/bin/bash
for id in $(amp -k stack ls -q)
do
amp -k team resource perm $id write | grep -q "Permission level has been changed."
amp -k team resource ls | grep -q "TEAM_WRITE"
amp -k team resource perm $id READ | grep -q "Permission level has been changed."
amp -k team resource ls | grep -q "TEAM_READ"
done
| atomiqio/atomiq | tests/cli/team/resource/permission/permission_test.sh | Shell | apache-2.0 | 319 |
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | guangxuli/kubernetes | cluster/common.sh | Shell | apache-2.0 | 52,085 |
if [ ! -d "bin" ]; then
echo "Expecting bin subdirectory" && return
fi
export EC_SYS_PATH=${PWD}
# ---- cmd prompt decoration ---- #
EC_SYS_ID="DemoSystem"
EC_SYS_TYPE="Lesson02"
export EC_SYS_ID EC_SYS_TYPE
PS1='[${EC_SYS_ID}(${EC_SYS_TYPE})][\u@\h:\w]\$ '
export PS1
# ---- ec environment ---- #
EC_QSL_PATH=${EC_S... | exxeleron/enterprise-components | tutorial/Lesson02/etc/env.sh | Shell | apache-2.0 | 1,547 |
#!/bin/bash
# Pre-set OS shell
#
# get App's Resources folder
res_folder=$(cat ~/coreos-osx/.env/resouces_path)
# add ssh key to Keychain
ssh-add -K ~/.ssh/id_rsa &>/dev/null
# get VM's IP
vm_ip=$(~/bin/corectl q -i core-01)
# path to the bin folder where we store our binary files
export PATH=${HOME}/coreos-osx/b... | TheNewNormal/coreos-osx | src/os_shell.command | Shell | apache-2.0 | 590 |
#!/bin/bash
# Copyright 2019 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
cd "${0%/*}"
cat >xlib.rs <<EOF
// Copyright 2019 The Chromium OS Authors. All rights reserved.
// Use of this source code is governed by a B... | google/crosvm | gpu_display/src/generated/xlib_generator.sh | Shell | bsd-3-clause | 3,003 |
#!/bin/bash
FN="RTCGA.rnaseq_20151101.14.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/experiment/src/contrib/RTCGA.rnaseq_20151101.14.0.tar.gz"
"https://bioarchive.galaxyproject.org/RTCGA.rnaseq_20151101.14.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-rtcga.rnaseq/bioconductor-... | mdehollander/bioconda-recipes | recipes/bioconductor-rtcga.rnaseq/post-link.sh | Shell | mit | 1,339 |
maze --seed 0 --width 10 --height 10 --start 5,9 --solution
| itchyny/maze | test/start_right.sh | Shell | mit | 60 |
#!/bin/sh
apt-get update
apt-get install nodejs npm -y
apt-get clean
ln -s /usr/bin/nodejs /usr/bin/node
| di-unipi-socc/tosKer | data/examples/node-mongo/scripts/node/install.sh | Shell | mit | 105 |
#!/bin/bash
find * -name "*.hpp" -exec clang-format -i {} +
find * -name "*.cpp" -exec clang-format -i {} +
| julienlopez/QRocketLaunchSimulator | run_clang_format.sh | Shell | mit | 110 |
#!/bin/sh
java -cp target/scala-2.11/scorex.jar scorex.CliClient | beni55/Scorex-Lagonaki | cli.sh | Shell | cc0-1.0 | 65 |
#!/bin/bash
# This script can help users to configure the /etc/hosts file
# Currently only support local installation
set -e
HOSTS_COMMENT='# The following lines are desirable for OpenNet'
FIRST_LOCAL_IP=`ifconfig | grep inet | awk 'NR==1 {gsub("addr:","",$2); print $2}'`
function LOCAL_INSTALL {
echo >> /etc/ho... | pichuang/OpenNet | configure.sh | Shell | gpl-2.0 | 467 |
# Copyright (C) 2008 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public License
# along ... | ystk/debian-lvm2 | test/t-listings.sh | Shell | gpl-2.0 | 2,344 |
#!/bin/sh
set -e
set -x
#if OS is linux or is not set
if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
export CC=gcc-6
export CXX=g++-6
mkdir -p $HOME/.local
curl -L http://www.cmake.org/files/v3.1/cmake-3.1.0-Linux-i386.tar.gz \
| tar -xz -C $HOME/.local --strip-components=1
... | qq482909350/ace | .travis-deps.sh | Shell | gpl-2.0 | 701 |
#!/bin/bash
LEXFILE=lexemes/lexemes.tsv
if test $# -lt 4 ; then
echo "Usage: $0 LEMMA HOMONYM VALUE CATEGORY"
exit 1
fi
ATTRIBUTEFILE=attributes/$4.tsv
if ! test -f ${ATTRIBUTEFILE} ; then
echo "cannot find attribute category db for $4 in ${ATTRIBUTEFILE}"
exit 2
fi
cp -v ${ATTRIBUTEFILE} ${ATTRIBUT... | redox-alpha/omorfi | src/set-attribute.bash | Shell | gpl-3.0 | 674 |
#!/bin/bash
bash "${GITHUB_WORKSPACE}/.github/scripts/set-git-user.sh"
npm i semver@7.3.4 --no-package-lock --no-save
PACKAGE_VERSION=$(node -p "require('./package.json').version")
NEXT_PACKAGE_VERSION=$(npx semver $PACKAGE_VERSION -i minor)
NEXT_RELEASE_BRANCH="release/${NEXT_PACKAGE_VERSION}"
git checkout "${NEXT_... | pojome/elementor | .github/scripts/sync-branches.sh | Shell | gpl-3.0 | 615 |
#!/bin/bash
###############################################################
## ASTERIX ETHEREAL PLUGIN PACKAGE
## Pack and compress asterix sources, executable and sample data
## Copyright (C) 2013 Croatia Control Ltd / Thales Air System
## revision history:
## 20121202 dsalantic v1.0 created, initial vers... | nabilbendafi/asterix | src/asterix/ethereal-plugin/make_package_src.sh | Shell | gpl-3.0 | 900 |
#!/usr/bin/env bash
set -e
# --------------------------------------------------------------------
# Copies all the corpus files, dict and options to the $OUT directory.
# This script is only used on oss-fuzz directly
# --------------------------------------------------------------------
fuzzerFiles=$(find $SRC/open62... | JayGro/open62541 | tests/fuzz/oss-fuzz-copy.sh | Shell | lgpl-3.0 | 655 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licen... | Kami/libcloud | contrib/update_vultr_fixtures.sh | Shell | apache-2.0 | 1,808 |
#!/usr/bin/env bash
# Copyright 2020 The Knative Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable ... | knative/client | vendor/knative.dev/serving/test/e2e-networking-library.sh | Shell | apache-2.0 | 4,358 |
#!/bin/sh
#
# This is an example of a script to run a "unsecure" TURN UDP client.
# Options:
# 0) -D means "mandatory padding", like pjnath does;
# 1) -t is absent, it means that UDP networking is used.
# 5) -n 1000 means 1000 messages per single emulated client. Messages
# are sent with interval of 20 milliseconds, to... | whatvn/rfc5766-turn-server | examples/scripts/basic/udp_client.sh | Shell | bsd-3-clause | 1,115 |
#set the path to your NUPYCEE dir
cd ../../
export SYGMADIR=`pwd`
cd -
echo 'set SYGMADIR to '$SYGMADIR
#export path
export PYTHONPATH=$PYTHONPATH:$SYGMADIR
#Set the links properly to use the feature of yield table creation and SPHINX documentation
rm -f doc
ln -s $SYGMADIR/SPHINX/build/html doc
rm -f yield_tables
ln... | NuGrid/NuPyCEE | DOC/Teaching/start_notebook_server.sh | Shell | bsd-3-clause | 404 |
{
"errors": [
"No dashboard matches that dash_id."
]
}
| macobo/documentation | code_snippets/results/result.api-dashboard-delete.sh | Shell | bsd-3-clause | 71 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2012-2015 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | p2rkw/tup | test/t8023-in-tree-to-variant3.sh | Shell | gpl-2.0 | 1,078 |
#!/bin/bash
# NOTE(pbourke): httpd will not clean up after itself in some cases which
# results in the container not being able to restart. (bug #1489676, 1557036)
if [[ "${KOLLA_BASE_DISTRO}" =~ debian|ubuntu ]]; then
# Loading Apache2 ENV variables
source /etc/apache2/envvars
rm -rf /var/run/apache2/*
el... | rthallisey/kolla-kubernetes-personal | kolla/docker/horizon/extend_start.sh | Shell | apache-2.0 | 1,318 |
#!/bin/bash
sed -i 's|tcp(.*:3306)|tcp('"${DBHOST}"':3306)|g' src/server-mysql/server.go
fw_depends mysql go
GOPATH=`pwd` go get -u github.com/go-sql-driver/mysql
GOPATH=`pwd` go get -u github.com/valyala/fasthttp/...
GOPATH=`pwd` go get -u github.com/valyala/quicktemplate/qtc
rm -f ./server-mysql
GOPATH=`pwd` go g... | kbrock/FrameworkBenchmarks | frameworks/Go/fasthttp/setup-mysql.sh | Shell | bsd-3-clause | 390 |
#!/bin/bash
# Copyright (c) 2012-2017 Red Hat, Inc.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
# Tyle... | sleshchenko/che | dockerfiles/base/scripts/base/commands/cmd_info.sh | Shell | epl-1.0 | 6,827 |
#! /bin/sh
# Copyright (C) 2002-2013 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | DDTChen/CookieVLC | vlc/extras/tools/automake/t/dir-named-obj-is-bad.sh | Shell | gpl-2.0 | 1,401 |
#!/bin/bash
echo 'drd-python ./test_mesh_subdivide.py' | drd-env -s grind cpuStub rodin pyOpenGL
| justajeffy/anim-studio-tools | grind/tests/integration/test_mesh_subdivide_cpu.sh | Shell | gpl-3.0 | 98 |
#!/bin/bash
CONFIGURATION="test_namestore_api.conf"
trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
LOCATION="gnunet-config"
fi
$LOCATION --version 1> /dev/null
if test $? != 0
then
echo "GNUnet command line tools cannot be found, check environmental variables ... | tg-x/gnunet | src/namestore/test_namestore_delete.sh | Shell | gpl-3.0 | 1,834 |
#!/bin/sh
# cp from 3.16 fails this test
# Copyright (C) 1997-2014 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your... | houwentaoff/coreutils | tests/cp/no-deref-link3.sh | Shell | gpl-3.0 | 1,060 |
# Clean outputs
rm *.jar
rm *.class
# Set the location of your .NET Framework
dotnet_framework="/usr/lib/mono/4.5"
echo "Build the JAR libraries from the C# dll..."
mono ikvmstub.exe -nostdlib $dotnet_framework/mscorlib.dll
mono ikvmstub.exe -nostdlib -r:$dotnet_framework/mscorlib.dll QuantConnect.Algorithm.dll
mon... | bizcad/LeanJJN | Algorithm.Java/build.sh | Shell | apache-2.0 | 1,105 |
#!/bin/bash
#
set -e
if [[ "$1" == "-n" ]]; then
DO_DELETE=0
shift
else
DO_DELETE=1
fi
ZK=$1
KATOPS=$2
RE=$3
if [[ -z "$ZK" ]]; then
ZK="$ZK_ADDRESS"
fi
if [[ -z "$KATOPS" ]]; then
if [[ -d "$KAFKA_PATH" ]]; then
KATOPS="$KAFKA_PATH/bin/kafka-topics.sh"
fi
fi
if [[ -z "$RE" ]]; the... | nokute78/fluent-bit | lib/librdkafka-1.7.0/tests/delete-test-topics.sh | Shell | apache-2.0 | 1,046 |
#!/bin/bash
# Stop the initialized server
assert_ok "$FLOW" stop;
# Make the file with the sleep visible
mv sleep.js.ignored sleep.js
# Start a new server without waiting
assert_ok "$FLOW" start . \
--all --no-flowlib \
--file-watcher "none" \
--log-file "$FLOW_LOG_FILE" \
--monitor-log-file "$FLOW_MONITOR_LO... | AgentME/flow | tests/retry-if-init-false/test.sh | Shell | bsd-3-clause | 412 |
#!/usr/bin/env bash
set -ex -o pipefail
if [[ ${TRAVIS} && ${CI_MODE} != "lint" ]]; then
exit 0;
fi
echo 'travis_fold:start:lint'
gulp lint
gulp check-format
echo 'travis_fold:end:lint'
| alexcastillo/angular | scripts/ci-lite/lint.sh | Shell | mit | 194 |
#!/bin/sh
#
# Copyright (C) 2009-2011 OpenWrt.org
#
AR71XX_BOARD_NAME=
AR71XX_MODEL=
ar71xx_get_mtd_offset_size_format() {
local mtd="$1"
local offset="$2"
local size="$3"
local format="$4"
local dev
dev=$(find_mtd_part $mtd)
[ -z "$dev" ] && return
dd if=$dev bs=1 skip=$offset count=$size 2>/dev/null | hex... | proximityinnovations/openwrt | target/linux/ar71xx/base-files/lib/ar71xx.sh | Shell | gpl-2.0 | 17,441 |
#!/bin/bash
# Replaces license text with contents of file provided as an argument
if [ ! $# -eq 1 ]; then
echo "Usage: $0 [file with new license header]"
exit 1
fi
find . -name "*.cpp" -or -name "*.h" | while read file; do
echo $file
sed '/\/\/ \* This.*/,/If not\, see.*/d' $file > $file.tmp
cat $1 $file.tmp > $fi... | ManuelBlanc/colobot | tools/update-license.sh | Shell | gpl-3.0 | 342 |
lein run --database "postgresql://localhost?user=trialverse&password=develop" --rdf "hypertension.ttl" --file "../dbms/data/hypertensionExample.addis" --name "Edarbi EPAR" --title "Hypertension dataset based on the Edarbi EPAR"
| drugis/addis-core | trialverse/importer/importHypertension.sh | Shell | gpl-3.0 | 228 |
#! /bin/bash
JAVA_HOME=$JAVA_HOME_1_8
export JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH
export PATH
MAVEN_HOME=$MAVEN_2_2_1
PATH=$MAVEN_HOME:$PATH
export PATH
mvn -U clean deploy -DskipTests=true
mkdir output
| qqming113/bi-platform | model/build.sh | Shell | apache-2.0 | 206 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.